Package net.shibboleth.idp.attribute.resolver.spring.ad

# Class BaseAttributeDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser
net.shibboleth.idp.attribute.resolver.spring.ad.BaseAttributeDefinitionParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `ContextDerivedAttributeDefinitionParser`, `DateTimeAttributeDefinitionParser`, `DecryptedAttributeDefinitionParser`, `MappedAttributeDefinitionParser`, `PrescopedAttributeDefinitionParser`, `PrincipalNameAttributeDefinitionParser`, `RegexSplitAttributeDefinitionParser`, `SAML1NameIdentifierAttributeDefinitionParser`, `SAML2NameIDAttributeDefinitionParser`, `ScopedAttributeDefinitionParser`, `ScriptedAttributeDefinitionParser`, `SimpleAttributeDefinitionParser`, `SubjectDerivedAttributeDefinitionParser`, `TemplateAttributeDefinitionParser`

public abstract class BaseAttributeDefinitionParser extends BaseResolverPluginParser
Base spring bean definition parser for attribute definitions. AttributeDefinition implementations should provide a custom BeanDefinitionParser by extending this class and overriding the doParse() method to parse any additional attributes or elements it requires. Standard attributes and elements defined by the ResolutionPlugIn and AttributeDefinition schemas will automatically attempt to be parsed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`ATTRIBUTE_ENCODER_ELEMENT_NAME`
Local name of attribute encoder.
`static final QName`
`ELEMENT_NAME`
Element name.
`private final org.slf4j.Logger`
`log`
Class logger.

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`BaseAttributeDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected String`
`getLogPrefix()`
Return a string which is to be prepended to all log messages.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser

`failOnDependencies, getActivationCondition, getDefinitionId, warnOnDependencies`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ELEMENT_NAME

@Nonnull public static final QName ELEMENT_NAME
Element name.

### ATTRIBUTE_ENCODER_ELEMENT_NAME

@Nonnull public static final QName ATTRIBUTE_ENCODER_ELEMENT_NAME
Local name of attribute encoder.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### BaseAttributeDefinitionParser

public BaseAttributeDefinitionParser()

## Method Details

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `BaseResolverPluginParser`

### getLogPrefix

@Nonnull @NotEmpty protected String getLogPrefix()
Return a string which is to be prepended to all log messages.

Overrides:
  `getLogPrefix` in class `BaseResolverPluginParser`
Returns:
  "Attribute Definition '<definitionID>' :"